package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 能源对象能力调用日志对象 adm_ems_obj_ability_call_log
 *
 * @author ruoyi
 * @date 2025-02-27
 */
public class EmsObjAbilityCallLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 对象代码 */
    private String objCode;

    private String objName;

    private String modelCode;

    private String modelName;

    /** 能力键 */
    private String abilityKey;

    private String abilityName;

    /** 调用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date callTime;

    /** 调用参数 */
    private String callPayload;

    /** 调用状态 */
    private Integer callStatus;

    /** 响应时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date resTime;

    /** 响应内容 */
    private String resPayload;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getModelCode() {
        return modelCode;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getAbilityKey() {
        return abilityKey;
    }

    public void setAbilityKey(String abilityKey) {
        this.abilityKey = abilityKey;
    }

    public String getAbilityName() {
        return abilityName;
    }

    public void setAbilityName(String abilityName) {
        this.abilityName = abilityName;
    }

    public Date getCallTime() {
        return callTime;
    }

    public void setCallTime(Date callTime) {
        this.callTime = callTime;
    }

    public String getCallPayload() {
        return callPayload;
    }

    public void setCallPayload(String callPayload) {
        this.callPayload = callPayload;
    }

    public Integer getCallStatus() {
        return callStatus;
    }

    public void setCallStatus(Integer callStatus) {
        this.callStatus = callStatus;
    }

    public Date getResTime() {
        return resTime;
    }

    public void setResTime(Date resTime) {
        this.resTime = resTime;
    }

    public String getResPayload() {
        return resPayload;
    }

    public void setResPayload(String resPayload) {
        this.resPayload = resPayload;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("objCode", getObjCode())
            .append("modelCode", getModelCode())
            .append("abilityKey", getAbilityKey())
            .append("callTime", getCallTime())
            .append("callPayload", getCallPayload())
            .append("callStatus", getCallStatus())
            .append("resTime", getResTime())
            .append("resPayload", getResPayload())
            .toString();
    }
}
